summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author core2010-05-11 20:00:08 +0200
committer Robby Workman2010-05-11 20:00:08 +0200
commitef119707792cfc6d28817968a775522f69fe364d (patch)
treea40f62d1b772abacd5cb89247a5f78f98a4e1f4e /desktop
parent1fcb0854d0a94d7f88563cfe51395369dc855d12 (diff)
downloadslackbuilds-ef119707792cfc6d28817968a775522f69fe364d.tar.gz
desktop/liberation-fonts-ttf: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/liberation-fonts-ttf/README6
-rw-r--r--desktop/liberation-fonts-ttf/doinst.sh25
-rw-r--r--desktop/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild53
-rw-r--r--desktop/liberation-fonts-ttf/liberation-fonts-ttf.info8
-rw-r--r--desktop/liberation-fonts-ttf/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/desktop/liberation-fonts-ttf/README b/desktop/liberation-fonts-ttf/README
new file mode 100644
index 0000000000..ad4e17c809
--- /dev/null
+++ b/desktop/liberation-fonts-ttf/README
@@ -0,0 +1,6 @@
+Liberation is the collective name of three TrueType font
+families: Liberation Sans, Liberation Serif and Liberation Mono.
+These fonts are metric-compatible with Arial, Times New Roman and
+Courier New respectively(from MS). They are available under the GNU
+GPL with a font embedding exception, which states that documents
+using these fonts do not automatically fall under the GNU GPL.
diff --git a/desktop/liberation-fonts-ttf/doinst.sh b/desktop/liberation-fonts-ttf/doinst.sh
new file mode 100644
index 0000000000..471252c192
--- /dev/null
+++ b/desktop/liberation-fonts-ttf/doinst.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Update mkfontscale and mkfontdir:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+
+# For some versions before Slackware 12.0
+if [ -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/X11R6/lib/X11/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/X11R6/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/desktop/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild b/desktop/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild
new file mode 100644
index 0000000000..6390ada9ae
--- /dev/null
+++ b/desktop/liberation-fonts-ttf/liberation-fonts-ttf.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for liberation-fonts-ttf
+
+# Written by core (eroc@linuxmail.org)
+# I took some ideas from alienBOB's slackbuild:
+# http://www.slackware.com/~alien/slackbuilds/liberation-fonts/build/liberation-fonts.SlackBuild
+
+set -e
+
+PRGNAM=liberation-fonts-ttf
+PRGNAMALT=liberation-fonts
+VERSION=3
+VERSIONALT=0.2
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv $PRGNAMALT-$VERSIONALT $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# To determinate Xorg's location
+XPREF=$(pkg-config --variable=prefix x11) || true
+if [ "$XPREF" == "/usr" ]; then
+ FONTDIR="$PKG/usr/share/fonts/TTF"
+else
+ FONTDIR="$PKG/usr/X11R6/lib/X11/fonts/TTF"
+fi
+
+mkdir -p $FONTDIR/
+cp -a *.ttf $FONTDIR/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING License.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/liberation-fonts-ttf/liberation-fonts-ttf.info b/desktop/liberation-fonts-ttf/liberation-fonts-ttf.info
new file mode 100644
index 0000000000..1f738d8977
--- /dev/null
+++ b/desktop/liberation-fonts-ttf/liberation-fonts-ttf.info
@@ -0,0 +1,8 @@
+PRGNAM="liberation-fonts-ttf"
+VERSION="3"
+HOMEPAGE="http://www.redhat.com/promo/fonts/"
+DOWNLOAD="https://www.redhat.com/f/fonts/liberation-fonts-ttf-3.tar.gz"
+MD5SUM="77728078a17e39f7c242b42c3bf6feb8"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="rworkman"
diff --git a/desktop/liberation-fonts-ttf/slack-desc b/desktop/liberation-fonts-ttf/slack-desc
new file mode 100644
index 0000000000..1b47597b46
--- /dev/null
+++ b/desktop/liberation-fonts-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+liberation-fonts-ttf: liberation-fonts-ttf (TrueType fonts by Red Hat, Inc)
+liberation-fonts-ttf:
+liberation-fonts-ttf: Liberation is the collective name of three TrueType
+liberation-fonts-ttf: font families: Liberation Sans, Liberation Serif and
+liberation-fonts-ttf: Liberation Mono. These fonts are metric-compatible
+liberation-fonts-ttf: with Arial, Times New Roman and Courier New respectively.
+liberation-fonts-ttf: They are available under the GNU GPL with a font embedding
+liberation-fonts-ttf: exception, which states that documents using these fonts do
+liberation-fonts-ttf: not automatically fall under the GNU GPL.
+liberation-fonts-ttf: Homepage: http://www.redhat.com/promo/fonts/
+liberation-fonts-ttf: